+++
date = 2025-06-07
draft = false
title = 'Bitwuzla'
subtitle = 'SMT Solver'
links = [
    { title = "Homepage", url = "https://bitwuzla.github.io", icon = 'fa-solid fa-home' },
    { title = "Source Code", url = "https://github.com/bitwuzla/bitwuzla", icon = 'fa-brands fa-github'  },
    # { title = "Playground", url = "https://jfmc.github.io/z3-play/", icon = 'fa-solid fa-gamepad' }
]
applications = ['SMT Solver', 'Theorem Prover', 'SAT Solver']
developers = ['Stanford University']
licenses = ['MIT']
inputs = ['SMTLIB2']
interfaces = ['CLI']
maintenance = ['Actively Maintained']
# techniques = ['CDCL']
publications = ['Niemetz2023']
+++

<!-- {{<inactive year="2024">}} -->
Bitwuzla is a Satisfiability Modulo Theories (SMT) solver for the theories of fixed-size bit-vectors, floating-point arithmetic, arrays, uninterpreted functions and their combinations.