+++
date = 2025-06-07
draft = false
title = 'CryptoMiniSat'
subtitle = 'SAT Solver'
links = [
    { title = "Homepage", url = "https://www.msoos.org/cryptominisat5/", icon = 'fa-solid fa-home' },
    { title = "Source Code", url = "https://github.com/msoos/cryptominisat", icon = 'fa-brands fa-github'  },
    # { title = "Playground", url = "https://cvc4.github.io/app/", icon = 'fa-solid fa-gamepad' }
]
applications = ['SAT Solver']
developers = ['INRIA Rhône-Alpes', 'University of Virginia']
licenses = ['MIT', 'GPLv2']
inputs = ['CNF']
interfaces = ['CLI', 'Python', 'C++', ]
maintenance = ['Actively Maintained']
# techniques = ['CDCL']
publications = ['Soos2009']
+++

<!-- {{<inactive year="2021">}} -->
CryptoMiniSat is a SAT solver.

## APIs and Bindings
This tool is available through the following interfaces:

- **C++ Namespace:** Documentation on [homepage](https://www.msoos.org/cryptominisat5/)
- **Python package:** [PyPI package](https://pypi.org/project/pycryptosat/)
<!-- - **.NET API:** [Z3 .NET Namespace Reference](https://z3prover.github.io/api/html/namespace_microsoft_1_1_z3.html) -->
<!-- - **Java API:** [Z3 Java API Reference](https://z3prover.github.io/api/html/namespacecom_1_1microsoft_1_1z3.html) -->
<!-- - **Rust bindings:** [z3 crate on crates.io](https://crates.io/crates/z3) -->


