+++
date = 2025-06-07
draft = false
title = 'dReal'
subtitle = 'SMT Solver'
links = [
    { title = "Homepage", url = "https://dreal.github.io/", icon = 'fa-solid fa-home' },
    { title = "Source Code", url = "https://github.com/dreal/dreal4", icon = 'fa-brands fa-github'  },
    # { title = "Playground", url = "https://jfmc.github.io/z3-play/", icon = 'fa-solid fa-gamepad' }
]
applications = ['SMT Solver']
# developers = ['Johannes Kepler Universität Linz']
licenses = ['Apache-2.0']
# inputs = ['']
interfaces = ['CLI']
maintenance = ['Not Maintained']
# techniques = ['CDCL']
# publications = ['deMoura2008']
+++

{{<inactive year="2023">}}
dReal is an automated reasoning tool. It focuses on solving problems that can be encoded as first-order logic formulas over the real numbers. Its special strength is in handling problems that involve a wide range of nonlinear real functions. 