+++
date = 2025-06-07
draft = false

title = 'SMTInterpol'
subtitle = 'Interpolating SMT Solver'

links = [
    { title = "Homepage", url = "https://ultimate.informatik.uni-freiburg.de/smtinterpol/", icon = 'fa-solid fa-home'},
    { title = "Source Code", url = "https://github.com/ultimate-pa/smtinterpol", icon = 'fa-brands fa-github' },
    # { title = "Documentation", url = "https://yices.csl.sri.com/yices2-documentation.html" }
]

applications = ['SMT Solver']
developers = ['University of Freiburg']
licenses = ['GPLv3']
inputs = ['SMTLIB2']
interfaces = ['CLI', 'Java']
maintenance = ['Actively Maintained']

publications = ['Henkel2021']
+++

SMTInterpol is an SMT Solver that can compute Craig interpolants for various theories.


## APIs and Bindings
This tool is available through the following interfaces:

- **Java API:** [Java API Reference](https://ultimate.informatik.uni-freiburg.de/smtinterpol/doc/index.html)

